﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using System.Net.Sockets;
using System.Timers;
//
using Task;
using UCNotifier;
using Network;
//
namespace TcpTextTransfer
{ //
  //-------------------------------------------------------------------
  //  Segment - Type - TcpText
  //-------------------------------------------------------------------
  // 
  public abstract class CTcpTextBase : CTcpBase
  { //
    //-------------------------------------------------------------------
    //  Segment - Constant
    //-------------------------------------------------------------------
    public const Char SEPARATOR_TCPTEXT = ';';
    //
    //-------------------------------------------------------------------
    //  Segment - Field
    //-------------------------------------------------------------------
    //

    //
    //-------------------------------------------------------------------
    //  Segment - Constructor
    //-------------------------------------------------------------------
    //
    protected CTcpTextBase()
      : base()
    {
    }
    //
    //-------------------------------------------------------------------
    //  Segment - Property
    //-------------------------------------------------------------------
    //

    //
    //-------------------------------------------------------------------
    //  Segment - Callback
    //-------------------------------------------------------------------
    //

    //
    //-------------------------------------------------------------------
    //  Segment - Method - Public
    //-------------------------------------------------------------------
    //
    
  }
}
